# SpriteGroup Struct Reference

Inheritance diagram for SpriteGroup:

## Public Member Functions
virtual SpriteID | GetResult () const
virtual byte | GetNumResults () const
virtual uint16 | GetCallbackResult () const
## Static Public Member Functions
static const SpriteGroup * | Resolve (const SpriteGroup *group, ResolverObject *object)
| ResolverObject (re)entry point.
## Data Fields
SpriteGroupType | type
## Protected Member Functions
| SpriteGroup (SpriteGroupType type)
virtual const SpriteGroup * | Resolve (struct ResolverObject *object) const
| Base sprite group resolver.

## Detailed Description

Definition at line 60 of file newgrf_spritegroup.h.

## Member Function Documentation

static const SpriteGroup* SpriteGroup::Resolve | ( | const SpriteGroup * | group,
|  | ResolverObject * | object |
| ) |  |  | `[inline, static]`

ResolverObject (re)entry point.

This cannot be made a call to a virtual function because virtual functions do not like NULL and checking for NULL *everywhere* is more cumbersome than this little helper function.

Parameters:

  | group | the group to resolve for
  | object | information needed to resolve the group

Returns:
  the resolved group

Definition at line 84 of file newgrf_spritegroup.h.

References Resolve().

The documentation for this struct was generated from the following file:

- src/newgrf_spritegroup.h